resource "akamai_property" "lab_property" {
    name    = "${var.UserID}-${var.labname}"    
    product_id  = "prd_SPM"
    contract_id = var.contract_id
    group_id    = var.group_id
  	version_notes = "Property for CICD lab"
    hostnames {                                     
      cname_from =  "${var.UserID}${var.labname}.${var.hostname}"
      cname_to =  var.edge_hostname
      cert_provisioning_type = "CPS_MANAGED"
    }
      hostnames {                                     
      cname_from =  "${var.UserID}${var.labname}-test.${var.hostname}"
      cname_to =  var.edge_hostname
      cert_provisioning_type = "CPS_MANAGED"
    }
    rule_format = "v2024-10-21"
    rules       = data.akamai_property_rules_builder.template-tflab_rule_default.json
}
output "property_id" {
     value = "${akamai_property.lab_property.id}"
}
output "property_version" {
     value = "${akamai_property.lab_property.latest_version}"
}

resource "akamai_property_activation" "activation_staging" {
     property_id = "${akamai_property.lab_property.id}"
     version  = "${akamai_property.lab_property.latest_version}"
     network  = "${var.network}"
     contact  = ["${var.email}"]
     note = "Terraform property creation lab"
     auto_acknowledge_rule_warnings = true
}